[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# Keep

Terminate and stay resident.

## Declaration

Source position: dosh.inc line 139

`procedure Keep(`
`exitcode: Word`
`);`

## Description

Keep terminates the program, but stays in memory. This is used for TSR (Terminate Stay Resident) programs which catch some interrupt. ExitCode is the same parameter as the Halt function takes.

Remark: | This call does nothing, it is present for compatibility only.

## Errors

None.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.